
package dk.pwc.plugin.rest;


import sailpoint.authorization.AllowAllAuthorizer;
import sailpoint.integration.ListResult;
import sailpoint.rest.plugin.BasePluginResource;
import sailpoint.rest.plugin.AllowAll;
import sailpoint.rest.plugin.Deferred;
import sailpoint.rest.plugin.RequiredRight;
import sailpoint.rest.plugin.SystemAdmin;
import sailpoint.tools.GeneralException;
import sailpoint.tools.Util;

import javax.ws.rs.Consumes;
import javax.ws.rs.DELETE;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.POST;
import javax.ws.rs.Produces;

import java.util.List;
import java.util.Map;

/**
 * The REST resource for a simple Hello service.
 * By henrik.kaaber@pwc.com
 * test: curl http://localhost/iiq/plugin/rest/HelloRest/HelloRest -H "Accept: application/json" -u "spadmin:admin"

 *
 */
@Path("HelloRest")
@Produces("application/json")
@Consumes("application/json")
public class HelloRest extends BasePluginResource {

    /**
     * {@inheritDoc}
     */
    @Override
    public String getPluginName() {
        return "HelloRest";
    }

    /**
     * Gets a response
     *
     * @return Hello
     * @throws GeneralException
     */
    @GET
    @Path("HelloRest")
    @AllowAll
    public String helloRest() throws GeneralException {
        return "Hello there";
    }

   

}

